curl --request GET \
--url https://backend.tensorpix.ai/api/restored-videos/{id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/restored-videos/{id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/restored-videos/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/restored-videos/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/restored-videos/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.tensorpix.ai/api/restored-videos/{id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/restored-videos/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"job_id": 123,
"preview_videos": {
"before_video": "<string>",
"after_video": "<string>"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"width": 4128,
"height": 4128,
"owner": 123,
"deleted": "2023-11-07T05:31:56Z",
"framerate": 500,
"n_frames": 1073741824,
"bitrate": 4611686018427388000,
"codec_id": "<string>",
"bit_depth": 15,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>",
"quality_score": 3
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Get enhanced video details
curl --request GET \
--url https://backend.tensorpix.ai/api/restored-videos/{id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/restored-videos/{id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/restored-videos/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/restored-videos/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/restored-videos/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.tensorpix.ai/api/restored-videos/{id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/restored-videos/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"job_id": 123,
"preview_videos": {
"before_video": "<string>",
"after_video": "<string>"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"width": 4128,
"height": 4128,
"owner": 123,
"deleted": "2023-11-07T05:31:56Z",
"framerate": 500,
"n_frames": 1073741824,
"bitrate": 4611686018427388000,
"codec_id": "<string>",
"bit_depth": 15,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>",
"quality_score": 3
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Response
Show child attributes
Show child attributes
Media name
1024Date when the media was created
64 <= x <= 819264 <= x <= 8192User who owns this media
Datetime when the media was deleted. Null if not deleted.
Video framerate in frames per second
0 <= x <= 1000Number of frames in the video
1 <= x <= 2147483647Video bitrate in bits per second
1 <= x <= 9223372036854776000Bit depth of the video
1 <= x <= 30Size of the video in bytes
100 <= x <= 400000000000Pre-signed uploaded video URL. The URL may expire after some time. To generate a new URL, call the endpoint again. If the field is null, it means the video hasn't been completely uploaded to our servers yet. The field can also be null if the video was enhanced using the /jobs/from-url endpoint. In that case the video is not stored on our servers and the field is null
Thumbnail of the video. null if the video was enhanced with the /jobs/from-url endpoint
User rated quality score of the enhanced video. 1 is the worst, 5 the best. Null if the video is not rated yet.
1 <= x <= 5Was this page helpful?